Bug 117765 - [patch] devel/directfb unbreak fix build with GCC 4.2
Summary: [patch] devel/directfb unbreak fix build with GCC 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-02 12:00 UTC by Pietro Cerutti
Modified: 2007-11-06 08:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2007-11-02 12:00:03 UTC
Quite a few cast expressions are used as lvalue in devel/directfb.
They used to be obsolete in GCC 3.4, now in GCC 4.2 they're just invalid.

Fix: 

The link to the patch comes in my next follow-up.
How-To-Repeat: cd /usr/ports/devel/directfb && make
Comment 1 Martin Wilke freebsd_committer 2007-11-02 12:06:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Pietro Cerutti 2007-11-02 17:08:46 UTC
The patch:
http://www.gahr.ch/FreeBSD/patches/117765_directfb.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 3 Martin Wilke freebsd_committer 2007-11-05 10:04:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2007-11-05 10:04:39 UTC
miwi        2007-11-05 10:04:34 UTC

  FreeBSD ports repository

  Modified files:
    devel/directfb       Makefile 
  Added files:
    devel/directfb/files 
                         patch-interfaces-IDirectFBImageProvider-idirectfbimageprovider_jpeg.c 
                         patch-src-core-input.c 
                         patch-src-display-idirectfbsurface.c 
                         patch-src-gfx-generic-generic.c 
                         patch-src-misc-gfx_util.c 
                         patch-src-misc-memcpy.c 
  Log:
  - Unbreak
  - Fix build with gcc 4.2
  
  PR:             117765
  Submitted by:   Pietro Cerutti <gahr@gahr.ch>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.28      +0 -4      ports/devel/directfb/Makefile
  1.1       +20 -0     ports/devel/directfb/files/patch-interfaces-IDirectFBImageProvider-idirectfbimageprovider_jpeg.c (new)
  1.1       +11 -0     ports/devel/directfb/files/patch-src-core-input.c (new)
  1.1       +15 -0     ports/devel/directfb/files/patch-src-display-idirectfbsurface.c (new)
  1.1       +12 -0     ports/devel/directfb/files/patch-src-gfx-generic-generic.c (new)
  1.1       +71 -0     ports/devel/directfb/files/patch-src-misc-gfx_util.c (new)
  1.1       +46 -0     ports/devel/directfb/files/patch-src-misc-memcpy.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"